Subject: bug#74075: closed (Re: [bug#74075] [PATCH 0/4] Update Ogre to 14.3.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Dec 2024 15:00:02 +0000

Your bug report

#74075: [PATCH 0/4] Update Ogre to 14.3.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74075: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74075
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#74075] [PATCH 0/4] Update Ogre to 14.3.1.
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Dec 2024 23:58:36 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> skribis:
>
>> Also enable extra features such as Wayland, Vulkan and Bullet.
>>
>> Maxim Cournoyer (4):
>>   gnu: imgui: Update to 1.91.4.
>>   gnu: ogre: Use gexps.
>>   gnu: ogre: Update to 14.3.1.
>>   gnu: ogre: Add support for Wayland, Vulkan and Bullet.
>
> Hi! It looks like qa.guix didn’t pick it up but if you tested it, I
> guess you can go ahead.

I've updated to 14.3.2, which integrated the patch I had made, and
pushed this series, along a few small additions (bullet upgrade and
ogre-next package).

-- 
Thanks,
Maxim

Subject: [PATCH 0/4] Update Ogre to 14.3.1.
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: Maxim Cournoyer <[email-masked]>
Date: Tue, 29 Oct 2024 10:09:16 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Also enable extra features such as Wayland, Vulkan and Bullet.

Maxim Cournoyer (4):
  gnu: imgui: Update to 1.91.4.
  gnu: ogre: Use gexps.
  gnu: ogre: Update to 14.3.1.
  gnu: ogre: Add support for Wayland, Vulkan and Bullet.

 gnu/local.mk                            |   1 +
 gnu/packages/graphics.scm               | 104 ++++++++++++++----------
 gnu/packages/patches/ogre-glslang.patch |  36 ++++++++
 gnu/packages/toolkits.scm               |   4 +-
 4 files changed, 100 insertions(+), 45 deletions(-)
 create mode 100644 gnu/packages/patches/ogre-glslang.patch

base-commit: 4009d1de954d694cb11af391d4113d29c5c1379d
-- 
2.46.0